Subject: Re: [secdir] Secdir review of draft-ietf-teas-yang-te-topo-15

From: Lou Berger <[email-masked]>
Date: Tue, 5 Jun 2018 10:01:13 -0400

Melinda,

     The authors have published an update with a revised security 
considerations section, please take a look at your convenience and let 
the authors know if you see that more is needed.

https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-16#section-8

Lou
(Doc Shepherd)
On 5/31/2018 11:19 PM, Melinda Shore wrote:
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the
> IESG.  These comments were written primarily for the benefit of the
> security area directors.  Document editors and WG chairs should treat
> these comments just like any other last call comments.
>
> The summary of the review is Ready with issues
>
> This document defines a technology-agnostic YANG data model for
> representation of traffic engineering topologies, and is intended to
> serve as a base model for other technology-specific traffic engineering
> topology models.
>
> The document is clearly written and appears comprehensive with respect
> to its subject matter.  I suspect that sections 1-4 would be a useful
> reference for people wanting to learn about TE topologies in general,
> and I enjoyed reading it.
>
> The security considerations section is scanty and, unfortunately,
> insufficient.  The statement "The data-model by itself does not create
> any security implications" seems questionable at best, since it contains
> information about network topology and the treatment of traffic,
> which may be of value to an attacker.  The lack of discussion of
> the threat environment is particularly problematic given that the
> model is intended to be used for manipulating TE topologies.  The
> authors may want to look to draft-ietf-i2rs-yang-network-topo as
> a model (no pun intended) of a good security considerations
> section for a topology model.  I don't see how this document can
> be published with the security considerations section in its current
> condition.
>
> This is really a trivial nit, but a nit nevertheless - the second
> paragraph of the terminology section probably belongs in the
> introduction instead, as it lays out expectations for the reader
> and contains a pointer to introductory material for readers
> unfamiliar with the IETF's traffic engineering work.
>
> Melinda
>

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 6 Jun 2018 07:13:02 -0400

Hi!

The updated section looks a lot better to me.  However, I think it is
important to call out the fact that the sensitive information in the
readable data nodes includes geolocation.

Alvaro.

On June 5, 2018 at 10:23:18 AM, Lou Berger ([email-masked]) wrote:

Melinda,

Lou
(Doc Shepherd)

---

From: Melinda Shore <[email-masked]>
Date: Sat, 9 Jun 2018 16:21:12 -0800

> https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-16#section-8

This addresses my concerns - many thanks.  I like the structure,
btw.

Melinda